export * from './base';
import { NyaaProvider } from './nyaa';
import { ThepiratebayProvider } from './thepiratebay';
import { TorrentParadiseProvider } from './torrentparadise';
import { X1337Provider } from './1337x';
export declare const providers: {
    Nyaa: NyaaProvider;
    ThePirateBay: ThepiratebayProvider;
    "TorrentParadise.ml": TorrentParadiseProvider;
    "1337x": X1337Provider;
};
export declare type ProviderName = keyof typeof providers;
