import { Provider, ProviderSearchOptions, ProviderMeta } from '.';
export declare class NyaaProvider extends Provider {
    static providerName: "Nyaa";
    getMeta(): Promise<ProviderMeta>;
    search(query: string, options?: ProviderSearchOptions): Promise<{
        id: string;
        name: string;
        magnet: string;
        seeds: number;
        peers: number;
        size: string;
        time: number;
        downloads: number;
        category: {
            name: string;
            id: string;
        };
        link: string;
    }[]>;
}
